<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>

<title></title>

<link rel="stylesheet" type="text/css" href="wline.css" media="screen"/>
<script type="text/javascript" src="all.js"></script>
<script type="text/javascript" src="settings.js"></script>
</head>

<body id="page">
<form action="/wlan-settings.asp" method="post" class="form" name="a">
	<fieldset>
		<legend>Wireless settings</legend>
		<h4>Basic:</h4>
		<table summary="Wireless settings - Basic">
		<tr>
			<td class="r"><label for="mode"><strong>Mode: </strong></label></td>
			<td class="l"><select name="mode" id="mode" class="normal" onchange="inputsOnOff(1, this, 'channel_num')">
					<option value="0" selected="selected">AP</option>
					<option value="1">Client</option>
					<option value="2">AdHoc</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="r"><label for="ssid"><strong>SSID: </strong></label></td>
			<td class="l"><input name="ssid" value="wline" id="ssid" type="text" class="normal"/></td>
		</tr>
		<tr>
			<td class="r"><label for="channel_num"><strong>Channel Number: </strong></label></td>
			<td class="l"><select name="channel_num" id="channel_num" class="normal">
					<option value="1">1</option>
					<option value="2">2</option>
					<option value="3">3</option>
					<option value="4">4</option>
					<option value="5">5</option>
					<option value="6">6</option>
					<option value="7" selected="selected">7</option>
					<option value="8">8</option>
					<option value="9">9</option>
					<option value="10">10</option>
					<option value="11">11</option>
					<option value="12">12</option>
					<option value="13">13</option>
				</select>
			</td>
		</tr>
		</table><div class="br"></div>

		<h4>Advanced:</h4>
		<table summary="Wireless settings - Advanced">
		<tr>
			<td class="r"><label for="auth_type"><strong>Authentication Type: </strong></label></td>
			<td class="l">
				<select name="auth_type" id="auth_type" class="normal">
					<option value="0">Open System</option>
					<option value="1">Shared Key</option>
					<option value="2" selected="selected">Auto (both)</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="r"><label for="fregment_tresh"><strong>Fragment Threshold: </strong></label></td>
			<td class="l"><input name="fregment_tresh" value="2346" id="fregment_tresh" type="text" class="small" /> (256-2346)</td>
		</tr>
		<tr>
			<td class="r"><label for="rts_tresh"><strong>RTS Threshold: </strong></label></td>
			<td class="l"><input name="rts_tresh" value="2347" id="rts_tresh" type="text" class="small" /> (0-2347)</td>
		</tr>
		<tr>
			<td class="r"><label for="beacon_interval"><strong>Beacon Interval: </strong></label></td>
			<td class="l"><input name="beacon_interval" value="100" id="beacon_interval" type="text" class="small" /> (20-1024 ms)</td>
		</tr>
		<tr>
			<td class="r"><label for="dtim_period"><strong>DTIM Period: </strong></label></td>
			<td class="l"><input name="dtim_period" value="3" id="dtim_period" type="text" class="small" />  (1-4)</td>
		</tr>
		<tr>
			<td class="r"><label for="data_rate"><strong>Data Rate: </strong></label></td>
			<td class="l"><select name="data_rate" id="data_rate" class="normal">
					<option value="0" selected="selected">Auto</option>
					<option value="11">11 Mbps</option>
					<option value="5">5.5 Mbps</option>
					<option value="2">2 Mbps</option>
					<option value="1">1 Mbps</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="r"><label for="preamble_type"><strong>Preamble Type: </strong></label></td>
			<td class="l">
				<select name="preamble_type" id="preamble_type" class="normal">
					<option value="0" selected="selected">Long Preamble</option>
					<option value="1">Short Preamble</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="r"><label for="broadcast_ssid"><strong>Broadcast SSID: </strong></label></td>
			<td class="l">
				<select name="broadcast_ssid" id="broadcast_ssid" class="normal">
					<option value="1" selected="selected">Enabled</option>
					<option value="0">Disabled</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="r"><label for="tx_power_level"><strong>Tx Power Level: </strong></label></td>
			<td class="l"><select name="tx_power_level" id="tx_power_level" class="normal">
					<option value="4" selected="selected">100% - 17 dBm</option>
					<option value="3">50% - 15 dBm</option>
					<option value="2">25% - 12 dBm</option>
					<option value="1">12.5% - 10 dBm</option>
				</select>
			</td>
		</tr>
		</table><div class="br"></div>

		<h4>WEP Encrypion:</h4>
		<table summary="Wireless settings - WEP Encrypion">
		<tr>
			<td class="r"><label for="wep_encrypt"><strong>WEP Encryption: </strong></label></td>
			<td class="l">
				<select name="wep_encrypt" id="wep_encrypt" onchange="inputsOnOff(0, this, 'key_format', 'enc_key1', 'enc_key2', 'enc_key3', 'enc_key4', 'default_tx_key')" class="normal">
					<option value="0" selected="selected">Disabled</option>
					<option value="1">WEP 64bits</option>
					<option value="2">WEP 128bits</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="r"><label for="key_format"><strong>Key format: </strong></label></td>
			<td class="l">
				<select name="key_format" id="key_format" class="normal">
					<option value="1">HEX</option>
					<option value="2">ASCII</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="r"><label for="enc_key1"><strong>Encryption Key 1: </strong></label></td>
			<td class="l"><input name="enc_key1" value="" id="enc_key1" type="text" class="normal" /></td>
		</tr>
		<tr>
			<td class="r"><label for="enc_key2"><strong>Encryption Key 2: </strong></label></td>
			<td class="l"><input name="enc_key2" value="" id="enc_key2" type="text" class="normal" /></td>
		</tr>
		<tr>
			<td class="r"><label for="enc_key3"><strong>Encryption Key 3: </strong></label></td>
			<td class="l"><input name="enc_key3" value="" id="enc_key3" type="text" class="normal" /></td>
		</tr>
		<tr>
			<td class="r"><label for="enc_key4"><strong>Encryption Key 4: </strong></label></td>
			<td class="l"><input name="enc_key4" value="" id="enc_key4" type="text" class="normal" /></td>
		</tr>
		<tr>
			<td class="r"><label for="default_tx_key"><strong>Default Tx key: </strong></label></td>
			<td class="l"><select name="default_tx_key" id="default_tx_key" class="normal">
					<option value="0" selected="selected">Key 1</option>
					<option value="1">Key 2</option>
					<option value="2">Key 3</option>
					<option value="3">Key 4</option>
				</select>
			</td>
		</tr>
		</table><div class="br"></div>
		<hr/>
		<table summary="Wireless settings - Submit/Reset">
		<tr>
			<td class="one" colspan="2"><input name="submit" value="Apply Change" type="submit" /> <input value="Reset" type="reset" /></td>
		</tr>
		</table>
	</fieldset>
</form>
</body>
</html>
